//-----------------------------------------------------------------------------
//  Mandelbrot Set Generator
//  ECE573 Project, Winter 2008
//  Author:  Jesse Armagost
//-----------------------------------------------------------------------------

`timescale 1 ps / 1 ps

module reset_filter ( clk,
                      dirty_reset_n,
                      clean_reset_n   );

  input clk;
  input dirty_reset_n;
  output clean_reset_n;

  //regs and wires
  reg dirty_reset_n_1q;
  reg [3:0] output_filter;

  //register the incoming dirty reset
  always @(posedge clk) begin
    dirty_reset_n_1q <= dirty_reset_n;
  end

  //clk filter
  always @(negedge dirty_reset_n_1q or posedge clk) begin
    if (~dirty_reset_n_1q)
      output_filter <= 4'h0;
    else if (clk)
      output_filter <= {1'b1, output_filter[3:1]};
  end

  assign clean_reset_n = output_filter[0];



endmodule

