//-----------------------------------------------------------------------------
//  Mandelbrot Set Generator
//  ECE573 Project, Winter 2008
//  Author:  Jesse Armagost
//-----------------------------------------------------------------------------


`timescale 1 ps / 1 ps


module ssd (  hex_value,
              digit       );

  input [3:0] hex_value;
  output [6:0] digit;

  reg [6:0] digit;

  always @(hex_value) begin
    case (hex_value)
      4'h0 :
        digit <= 7'b1000000;
      4'h1 :
        digit <= 7'b1111001;
      4'h2 :
        digit <= 7'b0100100;
      4'h3 :
        digit <= 7'b0110000;
      4'h4 :
        digit <= 7'b0011001;
      4'h5 :
        digit <= 7'b0010010;
      4'h6 :
        digit <= 7'b0000010;
      4'h7 :
        digit <= 7'b1111000;
      4'h8 :
        digit <= 7'b0000000;
      4'h9 :
        digit <= 7'b0011000;
      4'ha :
        digit <= 7'b0001000;
      4'hb :
        digit <= 7'b0000011;
      4'hc :
        digit <= 7'b0100111;
      4'hd :
        digit <= 7'b0100001;
      4'he :
        digit <= 7'b0000110;
      4'hf :
        digit <= 7'b0001110;
      default :
        digit <= 7'b1111111;
    endcase
  end



endmodule

