//-----------------------------------------------------------------------------
//  Mandelbrot Set Generator
//  ECE573 Project, Winter 2008
//  Author:  Jesse Armagost
//-----------------------------------------------------------------------------

`timescale 1 ps / 1 ps

module ssd_bank ( hex_value,
                  digit_3,
                  digit_2,
                  digit_1,
                  digit_0     );

  input [15:0] hex_value;
  output [6:0] digit_3;
  output [6:0] digit_2;
  output [6:0] digit_1;
  output [6:0] digit_0;

  //instantiate four seven segment display modules
  ssd i_ssd_3 ( .hex_value (hex_value[15:12]),
                .digit (digit_3)              );

  ssd i_ssd_2 ( .hex_value (hex_value[11:8]),
                .digit (digit_2)              );

  ssd i_ssd_1 ( .hex_value (hex_value[7:4]),
                .digit (digit_1)              );

  ssd i_ssd_0 ( .hex_value (hex_value[3:0]),
                .digit (digit_0)              );


endmodule


